{"openapi":"3.0.3","info":{"title":"Healthcare Worker API","description":"## Overview\nUse this API to access details of healthcare workers registered in the [Care Identity Service (CIS)](https://digital.nhs.uk/services/care-identity-service) directory.\n\nYou don't need to use this API if you only need details for a healthcare worker who is signed in using [CIS2 Authentication](https://digital.nhs.uk/services/care-identity-service/applications-and-services/cis2-authentication) -\nyou can use the [CIS2 Authentication user info endpoint](https://digital.nhs.uk/services/care-identity-service/applications-and-services/cis2-authentication/integrate/design-and-build/sign-in-journey#user-info-request) instead.\n\nYou can:\n- get basic professional details of any healthcare worker with an active care identity, using their unique ID (this is sometimes known as SDS user ID or Smartcard ID)\n- get details of the [national RBAC](https://digital.nhs.uk/services/care-identity-service/applications-and-services/cis2-authentication/integrate/design-and-build/national-rbac-for-developers) roles that have been assigned to them by their Registration Authority\n\nYou cannot currently use this API to:\n- search by professional codes, such as GMC or RNC code\n- get details of 'directly assigned' activities associated with the healthcare worker's role profiles (see below)\n\n### Directly assigned activities\n[National RBAC](https://digital.nhs.uk/services/care-identity-service/applications-and-services/cis2-authentication/integrate/design-and-build/national-rbac-for-developers) is the method CIS uses to manage user permissions.\n\nIn national RBAC:\n- users are assigned 'role profiles'\n- each role profile is linked to a single 'role'\n- each role is linked to zero or more 'activities' - the things the user is allowed to do\n- a role profile can also have 'directly assigned' activities\n\nSo the total set of activities for a given role profile includes:\n- the activities that can be inferred from the role\n- the directly assigned activities\n\nCurrently, this API only provides details of the users' roles, not their directly assigned activities. We plan to add directly assigned activities in a future release.\n\n## Who can use this API\nThis API can only be used where there is a legal basis to do so. Make sure you have a valid use case before you go too far with your development.\n\nYou must do this before you can go live (see [Onboarding](#overview--onboarding)).\n\n## Related APIs\nThe following APIs are related to this one:\n- [Spine Directory Service - LDAP API](https://digital.nhs.uk/developer/api-catalogue/spine-directory-service-ldap) - The legacy API for accessing healthcare worker information in CIS. Only available on HSCN and being planned for deprecation at some point.\n- [Organisation Data Terminology - FHIR API](https://digital.nhs.uk/developer/api-catalogue/organisation-data-terminology) - Get organisation information from the Organisation Data Service (ODS), including some limited information on some prescribing staff at each organisation.\n\n## API status and roadmap\nThis API is in [beta](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#statuses), meaning it's available in production but might still be subject to breaking changes.\n\nFor details of future changes, see [Care Identity Service roadmap](https://digital.nhs.uk/services/care-identity-service/roadmap).\n\n## Service level\nThis API is a silver service during beta, meaning it is operational 24 hours a day, 7 days a week but only supported during business hours (8am to 6pm), Monday to Friday excluding bank holidays.\n\nFor more details, see [service levels](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#service-levels).\n\n## Technology\nThis API is [RESTful](https://digital.nhs.uk/developer/guides-and-documentation/our-api-technologies#basic-rest).\n\nIt conforms to the [FHIR](https://digital.nhs.uk/developer/guides-and-documentation/our-api-technologies#fhir) global standard for health care data exchange, specifically to [FHIR R4 (v4.0.1)](https://hl7.org/fhir/r4/), except that it does not support the [capabilities](http://hl7.org/fhir/R4/http.html#capabilities) interaction.\n\nIt includes some country-specific FHIR extensions, which conform to [FHIR UK Core](https://digital.nhs.uk/services/fhir-uk-core), specifically [fhir.r4.ukcore.stu1 0.5.1](https://simplifier.net/packages/fhir.r4.ukcore.stu1/0.5.1).\n\nYou do not need to know much about FHIR to use this API - FHIR APIs are just RESTful APIs that follow specific rules. In particular:\n- resource names are capitalised and singular, for example `/Endpoint` not `/endpoints`\n\n## Network access\nThis API is available on the internet and, indirectly, on the [Health and Social Care Network (HSCN)](https://digital.nhs.uk/services/health-and-social-care-network).\n\nFor more details see [Network access for APIs](https://digital.nhs.uk/developer/guides-and-documentation/network-access-for-apis).\n\n## Security and authorisation\nThis API is [application-restricted](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation#application-restricted-apis), meaning we authenticate the calling application but not the end user.\n\nTo use this API, use the following security pattern:\n\n* [Application-restricted RESTful APIs - signed JWT authentication](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation/application-restricted-restful-apis-signed-jwt-authentication)\n\n## Errors\nWe use standard HTTP status codes to show whether an API request succeeded or not. They are usually in the range:\n\n* 200 to 299 if it succeeded, including code 202 if it was accepted by an API that needs to wait for further action\n* 400 to 499 if it failed because of a client error by your application\n* 500 to 599 if it failed because of an error on our server\n\nError handling in this API follows [NHS guidelines](https://nhsconnect.github.io/FHIR-SpineCore/resources_error_handling.html) and produces an [OperationOutcome](https://fhir.nhs.uk/STU3/StructureDefinition/Spine-OperationOutcome-1) FHIR resource response with appropriate HTTP code.\n\nErrors specific to each API are shown in the Endpoints section, under Response. See our [reference guide](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#http-status-codes) for more on errors.\n\n## Open source\nYou might find the following [open source](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#open-source) resources useful:\n\n| Resource                | Description                                                       | Links                                                                                                                                        |\n| ----------------------- | ----------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |\n| API source code         | The full Healthcare Worker API codebase is open source in GitHub. | [GitHub](https://github.com/NHSDigital/healthcare-worker-api)                                                                                |\n| Postman collection      | Export of our Postman collection for use with the API.            | [GitHub](https://github.com/NHSDigital/healthcare-worker-api/tree/develop/postman)\n| FHIR libraries and SDKs | Various open source libraries for integrating with FHIR APIs.     | [FHIR libraries and SDKs](https://digital.nhs.uk/developer/guides-and-documentation/api-technologies-at-nhs-digital#fhir-libraries-and-sdks) |\n\n## Environments and testing\n| Environment       | Base URL\n| ----------------- | ---------------------------------------------------------------------|\n| Sandbox           | `https://sandbox.api.service.nhs.uk/healthcare-worker`               |\n| Integration test  | `https://int.api.service.nhs.uk/healthcare-worker`                   |\n| Production        | `https://api.service.nhs.uk/healthcare-worker`                       |\n\n### Sandbox testing\nOur [sandbox environment](https://digital.nhs.uk/developer/guides-and-documentation/testing#sandbox-testing):\n- is for early developer testing\n- only covers a limited set of scenarios\n- is open-access, so does not allow you to test authorisation\n\nTo try out the sandbox using our 'Try this API' feature, see the documentation for each endpoint.\n\nRead about [test data for the Healthcare Worker FHIR API](https://digital.nhs.uk/developer/api-catalogue/healthcare-worker-fhir/test-data-for-the-healthcare-worker-fhir-api#sandbox-environment).\n\n### Integration testing\nOur [integration test environment](https://digital.nhs.uk/developer/guides-and-documentation/testing#integration-testing):\n- is for developer testing and formal integration testing\n- is used to confirm you are ready for production\n- includes application authentication\n\nRead about [test data for the Healthcare Worker FHIR API](https://digital.nhs.uk/developer/api-catalogue/healthcare-worker-fhir/test-data-for-the-healthcare-worker-fhir-api#integration-test-environment).\n\n## Onboarding\nYou need to get your software approved by us before it can go live with this API. We call this onboarding. The onboarding process can sometimes be quite long, so it's worth planning well ahead.\n\nTo understand how our online digital onboarding process works, see [digital onboarding](https://digital.nhs.uk/developer/guides-and-documentation/digital-onboarding).\n\nTo get started, sign in or create a [developer account](https://onboarding.prod.api.platform.nhs.uk/), then select 'Digital onboarding service'.\n","contact":{"name":"Spine Directory Service API Support","url":"https://digital.nhs.uk/developer/help-and-support","email":"api.management@nhs.net"},"version":"558c974e"},"servers":[{"url":"https://sandbox.api.service.nhs.uk/healthcare-worker","description":"Sandbox environment"}],"paths":{"/Practitioner":{"get":{"summary":"Get healthcare worker details","description":"# Overview\nUse this endpoint to get details of a healthcare worker registered in the Care Identity Service (CIS), using their CIS unique identifier.\n\nOnly active accounts are returned. If the care identity itself is closed, the endpoint returns a 410 (Gone) response.\n\nYou can also get details of the healthcare worker's [national RBAC roles](https://digital.nhs.uk/services/care-identity-service/applications-and-services/cis2-authentication/integrate/design-and-build/national-rbac-for-developers),\nusing the `_revinclude` query parameter. This currently does not include details of directly assigned activities, as explained in the [main overview](#overview--overview).\n","operationId":"getPractitioner","parameters":[{"name":"identifier","in":"query","description":"CIS unique identifier for the healthcare worker (sometimes known as the UUID, SDS user ID or smartcard ID).","required":true,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string"},"example":"123456789012"},{"name":"_revinclude","in":"query","description":"Specifies other information to be included along with the healthcare worker, using the FHIR 'reverse include' syntax. Specifying `PractitionerRole:practitioner` will include the healthcare worker's roles.","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"enum":["PractitionerRole:practitioner"],"type":"string"},"example":"PractitionerRole:practitioner"},{"name":"Authorization","in":"header","description":"The calling system's access token, which must be an OAuth 2.0 bearer token.\nFor details, see [Application-restricted RESTful APIs - signed JWT authentication](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation/application-restricted-restful-apis-signed-jwt-authentication).\n\nRequired in all environments except sandbox.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"^Bearer\\ [[:ascii:]]+$","example":"Bearer g1112R_ccQ1Ebbb4gtHBP1aaaNM"}},{"name":"X-Request-Id","in":"header","description":"Unique identifier for the request, used for tracking and logging purposes.\n\nMust be a universally unique identifier (UUID) (ideally version 4).\n","required":true,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"uuid"},"example":"6d3d3674-7ce5-11ec-90d6-0242ac121234"},{"name":"X-Correlation-Id","in":"header","description":"An optional ID which you can use to track transactions across multiple systems. It can take any value, but we recommend avoiding `.` characters.\n\nMirrored back in a response header.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string"},"example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"}],"responses":{"200":{"description":"Successful operation","headers":{"X-Request-Id":{"name":"","in":"header","description":"The X-Request-Id from the request header, if supplied, mirrored back.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"uuid","example":"6d3d3674-7ce5-11ec-90d6-0242ac121234"}},"X-Correlation-Id":{"name":"","in":"header","description":"The X-Correlation-Id from the request header, if supplied, mirrored back.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"}}},"content":{"application/fhir+json":{"schema":{"type":"object","properties":{"resourceType":{"enum":["Bundle"],"type":"string","description":"FHIR resource type."},"type":{"enum":["searchset"],"type":"string","description":"Indicates how the bundle is intended to be used."},"total":{"type":"number","description":"Number of matching entries. Excludes related resources included in the bundle due to the use of the `_include` or `_revinclude` parameters."},"entry":{"type":"array","items":{"type":"object","properties":{"search":{"type":"object","properties":{"mode":{"enum":["match","include"],"type":"string","description":"Indicates why this resource is in the result set.\n`match` indicates a direct match to the query.\n`include` indicates that the entry is linked to one of the matching entries, and that the relevant link was requested in the search.\n"}},"description":"Search-related information for the resource."},"resource":{"oneOf":[{"type":"object","properties":{"resourceType":{"enum":["Practitioner"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID.","example":"123456789012"},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-user-id"],"type":"string","description":"Coding system used for the identifier."},"value":{"type":"string","description":"The identifier itself.","example":"123456789012"}}},"description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID."},"active":{"type":"boolean","description":"Indicates whether the healthcare worker's account is active in CIS.\nBecause the response only ever includes active accounts, this is always `true`.\n","example":true},"name":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"use":{"enum":["usual"],"type":"string","description":"Identifies the purpose for this name."},"family":{"type":"string","description":"That part of a person's name which is used to describe family, clan, tribal group, or marital association.","example":"Smith"},"given":{"minItems":1,"type":"array","items":{"type":"string","example":"Jane Allison"},"description":"The forenames or given names of a person. Includes middle names."},"prefix":{"maxItems":1,"type":"array","items":{"type":"string","example":"Ms"},"description":"Standard form of address used to precede a person's name."}}},"description":"Healthcare worker's name."}},"description":"A healthcare worker's personal details, expressed as a FHIR `Practitioner` resource."},{"type":"object","properties":{"resourceType":{"enum":["PractitionerRole"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"Unique identifier for the role, sometimes called the role profile ID."},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-role-profile-id"],"type":"string","description":"Coding system for the idenfier."},"value":{"type":"string","description":"The identifier itself.","example":"123456789012"}}},"description":"Unique identifier for the role, sometimes called the role profile ID."},"active":{"type":"boolean","description":"Whether the role is active in CIS.","example":true},"practitioner":{"type":"object","properties":{"reference":{"type":"string","description":"Relative URL for the Practitioner FHIR resource for the healthcare worker."},"identifier":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-user-id"],"type":"string","description":"Coding system for the identifier."},"value":{"type":"string","description":"The identifier itself."}},"description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID."},"display":{"type":"string","description":"Healthcare worker's full name, including prefix, given name and family name."}},"description":"Summary of the healthcare worker to whom the roles relate."},"organization":{"type":"object","properties":{"reference":{"type":"string","description":"Relative URL for the Organization FHIR resource for the organisation."},"identifier":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/ods-organization-code"],"type":"string","description":"Coding system for the ODS code."},"value":{"type":"string","description":"The ODS code itself."}},"description":"ODS code for the organisation."},"display":{"type":"string","description":"Organisation name."}},"description":"Summary of an organisation to which one or more of the roles relate."},"period":{"type":"object","properties":{"start":{"type":"string","description":"Start date for the period."},"end":{"type":"string","description":"End date for the period."}},"description":"Time period during which the role applies, or applied."},"code":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"resourceType":{"enum":["CodeableConcept"],"type":"string","description":"FHIR resource type."},"coding":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"resourceType":{"enum":["Coding"],"type":"string","description":"FHIR resource type."},"system":{"enum":["https://fhir.nhs.uk/CodeSystem/NHSDigital-SDS-JobRoleCode"],"type":"string","description":"Code system used for the role code."},"code":{"type":"string","description":"The role code itself. Consists of three parts, separated by colons, in the format `Snnnn:Gnnnn:Rnnnn`,\nforming a hierarchy. The useful part is the 'R' code, which maps to activity codes as explained in\n[National RBAC for developers](https://digital.nhs.uk/services/care-identity-service/applications-and-services/cis2-authentication/integrate/design-and-build/national-rbac-for-developers).\n"},"display":{"type":"string","description":"Role code description. Consists of three parts, separated by colons, corresponding to the three parts of the role code.\nThe useful part is the third part, corresponding to the 'R' code.\n"}}},"description":"The actual coding, expressed as a FHIR `Coding` resource."}},"description":"Code for the role, expressed as a FHIR `CodeableConcept` resource."},"description":"Code for the role."}},"description":"A healthcare worker role (sometimes called a 'role profile'), expressed as a FHIR `PractitionerRole` resource.\nA healthcare worker can have multiple roles, and each role is associated with a specific organisation.\nIf the worker performs the same role in multiple organisations, there is a separate role profile for each organisation.\n"},{"type":"object","properties":{"resourceType":{"enum":["Organization"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"ODS code for the organisation.","example":"V05266"},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/ods-organization-code"],"type":"string","description":"Coding system for the ODS code."},"value":{"type":"string","description":"The ODS code itself.","example":"V05266"}}},"description":"ODS code for the organisation."},"name":{"type":"string","description":"Organisation name.","example":"SILKSTONE PHARMACY"}},"description":"An organisation associated with one of the roles in the result set, expressed as a FHIR `Organization` resource.\n"}]},"fullUrl":{"type":"string","description":"URL for the resource.","example":"https://int.api.service.nhs.uk/healthcare-worker/Practitioner/123456789012"}}},"description":"List of matching healthcare workers, roles and organisations."},"link":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"relation":{"enum":["self"],"type":"string","description":"The nature of the link. Always `self`, meaning it's a link to the resource endpoint that was called."},"url":{"type":"string","description":"The link's URL."}}},"description":"A list of useful links."}}},"examples":{"basic":{"summary":"Basic response (without roles)","value":{"resourceType":"Bundle","type":"searchset","total":1,"entry":[{"search":{"mode":"match"},"resource":{"resourceType":"Practitioner","id":"123456789012","active":true,"identifier":[{"system":"https://fhir.nhs.uk/Id/sds-user-id","value":"123456789012"}],"name":[{"use":"usual","family":"Smith","given":["Jane Allison"],"prefix":["Ms"]}]},"fullUrl":"https://int.api.service.nhs.uk/healthcare-worker/Practitioner/123456789012"}],"link":[{"relation":"self","url":"https://int.api.service.nhs.uk/healthcare-worker/Practitioner"}]}},"with-includes":{"summary":"Response with roles included","value":{"resourceType":"Bundle","type":"searchset","total":1,"entry":[{"search":{"mode":"match"},"resource":{"resourceType":"Practitioner","id":"123456789012","active":true,"identifier":[{"system":"https://fhir.nhs.uk/Id/sds-user-id","value":"123456789012"}],"name":[{"use":"usual","family":"Smith","given":["Jane Allison"],"prefix":["Ms"]}]},"fullUrl":"https://int.api.service.nhs.uk/healthcare-worker/Practitioner/123456789012"},{"search":{"mode":"include"},"resource":{"resourceType":"PractitionerRole","id":"615218913510","identifier":[{"system":"https://fhir.nhs.uk/Id/sds-role-profile-id","value":"615218913510"}],"active":true,"practitioner":{"reference":"Practitioner/123456789012","identifier":{"system":"https://fhir.nhs.uk/Id/sds-user-id","value":"123456789012"},"display":"Ms Jane Allison Smith"},"organization":{"reference":"Organization/V05266","identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"V05266"},"display":"J M SUMMERFIELD AND ASSOCIATES"},"period":{},"code":[{"coding":[{"system":"https://fhir.nhs.uk/CodeSystem/NHSDigital-SDS-JobRoleCode","code":"S0070:G0400:R1590","display":"\"Add'l Clinical Services\":\"Phlebotomist\":\"Phlebotomist\""}]}]},"fullUrl":"https://int.api.service.nhs.uk/healthcare-worker/PractitionerRole/615218913510"},{"search":{"mode":"include"},"resource":{"resourceType":"PractitionerRole","id":"555051225101","identifier":[{"system":"https://fhir.nhs.uk/Id/sds-role-profile-id","value":"555051225101"}],"active":true,"practitioner":{"reference":"Practitioner/123456789012","identifier":{"system":"https://fhir.nhs.uk/Id/sds-user-id","value":"123456789012"},"display":"Ms Jane Allison Smith"},"organization":{"reference":"Organization/FA626","identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"FA626"},"display":"SILKSTONE PHARMACY"},"period":{"start":"2016-02-22"},"code":[{"coding":[{"system":"https://fhir.nhs.uk/CodeSystem/NHSDigital-SDS-JobRoleCode","code":"S8002:G8003:R0001","display":"\"Admin and Clerical\":\"Admin and Clerical\":\"Privacy Officer\""}]}]},"fullUrl":"https://int.api.service.nhs.uk/healthcare-worker/PractitionerRole/555051225101"}],"link":[{"relation":"self","url":"https://int.api.service.nhs.uk/healthcare-worker/Practitioner"}]}}}}}},"4XX":{"description":"An error occurred as follows:\n\n| HTTP status | Error code                      | Description                                                                                                                                |\n| ----------- | ------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |\n| 400         | MISSING_VALUE                   | Required request parameter missing, for example `identifier`.                                                                              |\n| 401         | ACCESS_DENIED                   | Access token missing, invalid or expired, or calling application not configured for this operation.                                        |\n| 404         | RESOURCE_NOT_FOUND              | No healthcare worker record found for the given CIS identifier.                                                                            |\n| 410         | INACTIVE_ACCOUNT                | The requested healthcare worker record is inactive in CIS.                                                                                 |\n| 429         | TOO_MANY_REQUESTS               | You have exceeded your application's [rate limit](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#rate-limits).  |\n\nFor more details, see [HTTP status codes](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#http-status-codes).\n","headers":{"X-Request-Id":{"name":"","in":"header","description":"The X-Request-Id from the request header, if supplied, mirrored back.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"uuid","example":"6d3d3674-7ce5-11ec-90d6-0242ac121234"}},"X-Correlation-Id":{"name":"","in":"header","description":"The X-Correlation-Id from the request header, if supplied, mirrored back.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"}}},"content":{"application/fhir+json":{"schema":{"type":"object","properties":{"resourceType":{"enum":["OperationOutcome"],"type":"string","description":"FHIR Resource Type."},"issue":{"minItems":1,"type":"array","items":{"required":["severity","code"],"type":"object","properties":{"severity":{"enum":["fatal","error","warning","information"],"type":"string","description":"Severity of the error.","example":"error"},"code":{"enum":["invalid","structure","required","value","invariant","security","login","unknown","expired","forbidden","suppressed","processing","not-supported","duplicate","multiple-matches","not-found","deleted","too-long","code-invalid","extension","too-costly","business-rule","conflict","transient","lock-error","no-store","exception","timeout","incomplete","throttled","informational"],"type":"string","description":"FHIR error code.","example":"invalid"},"details":{"type":"object","properties":{"coding":{"type":"array","items":{"type":"object","properties":{"system":{"type":"string","description":"URI of the coding system specification.","example":"https://fhir.nhs.uk/R4/CodeSystem/Spine-ErrorOrWarningCode"},"version":{"type":"string","description":"Version of the coding system in use.","example":"1"},"code":{"type":"string","description":"Symbol in syntax defined by the system.","example":"MISSING_PRACTITIONER_IDENTIFIER"},"display":{"type":"string","description":"Representation defined by the system.","example":"Missing practitioner identifier"}}}}},"description":"Internal error code."}}},"description":"List of issues that have occurred."}},"description":"Details of an error.\nThere are a number of possible error codes that can be returned along with a more detailed description in the `display` field.\n"},"example":{"resourceType":"OperationOutcome","issue":[{"severity":"error","code":"unknown","details":{"coding":[{"system":"https://fhir.nhs.uk/STU3/ValueSet/Spine-ErrorOrWarningCode-1","code":"MISSING_VALUE","display":"Missing practitioner identifier"}]}}]}}}}},"deprecated":false}},"/PractitionerRole":{"get":{"summary":"Get healthcare worker role details","description":"# Overview\nUse this endpoint to get details of healthcare worker roles in the Care Identity Service (CIS). It takes a CIS unique identifier\nas input and returns all the roles associated with that healthcare worker.\n\nYou can get more information on the healthcare worker and the organisations linked to the roles using the `_include` query parameter.\n\nThis endpoint currently does not include details of directly assigned activities, as explained in the [main overview](#overview--overview).\n","operationId":"getPractitionerRole","parameters":[{"name":"practitioner.identifier","in":"query","description":"CIS unique identifier (sometimes known as the UUID, SDS user ID or smartcard ID)","required":true,"deprecated":false,"allowEmptyValue":false,"explode":true,"allowReserved":false,"schema":{"type":"string"},"example":"123456789012"},{"name":"_include","in":"query","description":"Specifies other information to be included along with the roles, using the FHIR 'include' syntax.\nSpecifying `PractitionerRole:practitioner` will include the healthcare worker's personal details.\nSpecifying `PractitionerRole:organization` will include the organisation associated with the role.\nIf you want both, include this parameter multiple times with different values.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"enum":["PractitionerRole:practitioner","PractitionerRole:organization"],"type":"string"}},{"name":"Authorization","in":"header","description":"The calling system's access token, which must be an OAuth 2.0 bearer token.\nFor details, see [Application-restricted RESTful APIs - signed JWT authentication](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation/application-restricted-restful-apis-signed-jwt-authentication).\n\nRequired in all environments except sandbox.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"^Bearer\\ [[:ascii:]]+$","example":"Bearer g1112R_ccQ1Ebbb4gtHBP1aaaNM"}},{"name":"X-Request-Id","in":"header","description":"Unique identifier for the request, used for tracking and logging purposes.\n\nMust be a universally unique identifier (UUID) (ideally version 4).\n","required":true,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"uuid"},"example":"6d3d3674-7ce5-11ec-90d6-0242ac121234"},{"name":"X-Correlation-Id","in":"header","description":"An optional ID which you can use to track transactions across multiple systems. It can take any value, but we recommend avoiding `.` characters.\n\nMirrored back in a response header.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string"},"example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"}],"responses":{"200":{"description":"Successful operation","headers":{"X-Request-Id":{"name":"","in":"header","description":"The X-Request-Id from the request header, if supplied, mirrored back.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"uuid","example":"6d3d3674-7ce5-11ec-90d6-0242ac121234"}},"X-Correlation-Id":{"name":"","in":"header","description":"The X-Correlation-Id from the request header, if supplied, mirrored back.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"}}},"content":{"application/fhir+json":{"schema":{"type":"object","properties":{"resourceType":{"enum":["Bundle"],"type":"string","description":"FHIR resource type."},"type":{"enum":["searchset"],"type":"string","description":"Indicates how the bundle is intended to be used."},"total":{"type":"number","description":"Number of matching entries. Excludes related resources included in the bundle due to the use of the `_include` or `_revinclude` parameters."},"entry":{"type":"array","items":{"type":"object","properties":{"search":{"type":"object","properties":{"mode":{"enum":["match","include"],"type":"string","description":"Indicates why this resource is in the result set.\n`match` indicates a direct match to the query.\n`include` indicates that the entry is linked to one of the matching entries, and that the relevant link was requested in the search.\n"}},"description":"Search-related information for the resource."},"resource":{"oneOf":[{"type":"object","properties":{"resourceType":{"enum":["Practitioner"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID.","example":"123456789012"},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-user-id"],"type":"string","description":"Coding system used for the identifier."},"value":{"type":"string","description":"The identifier itself.","example":"123456789012"}}},"description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID."},"active":{"type":"boolean","description":"Indicates whether the healthcare worker's account is active in CIS.\nBecause the response only ever includes active accounts, this is always `true`.\n","example":true},"name":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"use":{"enum":["usual"],"type":"string","description":"Identifies the purpose for this name."},"family":{"type":"string","description":"That part of a person's name which is used to describe family, clan, tribal group, or marital association.","example":"Smith"},"given":{"minItems":1,"type":"array","items":{"type":"string","example":"Jane Allison"},"description":"The forenames or given names of a person. Includes middle names."},"prefix":{"maxItems":1,"type":"array","items":{"type":"string","example":"Ms"},"description":"Standard form of address used to precede a person's name."}}},"description":"Healthcare worker's name."}},"description":"A healthcare worker's personal details, expressed as a FHIR `Practitioner` resource."},{"type":"object","properties":{"resourceType":{"enum":["PractitionerRole"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"Unique identifier for the role, sometimes called the role profile ID."},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-role-profile-id"],"type":"string","description":"Coding system for the idenfier."},"value":{"type":"string","description":"The identifier itself.","example":"123456789012"}}},"description":"Unique identifier for the role, sometimes called the role profile ID."},"active":{"type":"boolean","description":"Whether the role is active in CIS.","example":true},"practitioner":{"type":"object","properties":{"reference":{"type":"string","description":"Relative URL for the Practitioner FHIR resource for the healthcare worker."},"identifier":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-user-id"],"type":"string","description":"Coding system for the identifier."},"value":{"type":"string","description":"The identifier itself."}},"description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID."},"display":{"type":"string","description":"Healthcare worker's full name, including prefix, given name and family name."}},"description":"Summary of the healthcare worker to whom the roles relate."},"organization":{"type":"object","properties":{"reference":{"type":"string","description":"Relative URL for the Organization FHIR resource for the organisation."},"identifier":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/ods-organization-code"],"type":"string","description":"Coding system for the ODS code."},"value":{"type":"string","description":"The ODS code itself."}},"description":"ODS code for the organisation."},"display":{"type":"string","description":"Organisation name."}},"description":"Summary of an organisation to which one or more of the roles relate."},"period":{"type":"object","properties":{"start":{"type":"string","description":"Start date for the period."},"end":{"type":"string","description":"End date for the period."}},"description":"Time period during which the role applies, or applied."},"code":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"resourceType":{"enum":["CodeableConcept"],"type":"string","description":"FHIR resource type."},"coding":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"resourceType":{"enum":["Coding"],"type":"string","description":"FHIR resource type."},"system":{"enum":["https://fhir.nhs.uk/CodeSystem/NHSDigital-SDS-JobRoleCode"],"type":"string","description":"Code system used for the role code."},"code":{"type":"string","description":"The role code itself. Consists of three parts, separated by colons, in the format `Snnnn:Gnnnn:Rnnnn`,\nforming a hierarchy. The useful part is the 'R' code, which maps to activity codes as explained in\n[National RBAC for developers](https://digital.nhs.uk/services/care-identity-service/applications-and-services/cis2-authentication/integrate/design-and-build/national-rbac-for-developers).\n"},"display":{"type":"string","description":"Role code description. Consists of three parts, separated by colons, corresponding to the three parts of the role code.\nThe useful part is the third part, corresponding to the 'R' code.\n"}}},"description":"The actual coding, expressed as a FHIR `Coding` resource."}},"description":"Code for the role, expressed as a FHIR `CodeableConcept` resource."},"description":"Code for the role."}},"description":"A healthcare worker role (sometimes called a 'role profile'), expressed as a FHIR `PractitionerRole` resource.\nA healthcare worker can have multiple roles, and each role is associated with a specific organisation.\nIf the worker performs the same role in multiple organisations, there is a separate role profile for each organisation.\n"},{"type":"object","properties":{"resourceType":{"enum":["Organization"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"ODS code for the organisation.","example":"V05266"},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/ods-organization-code"],"type":"string","description":"Coding system for the ODS code."},"value":{"type":"string","description":"The ODS code itself.","example":"V05266"}}},"description":"ODS code for the organisation."},"name":{"type":"string","description":"Organisation name.","example":"SILKSTONE PHARMACY"}},"description":"An organisation associated with one of the roles in the result set, expressed as a FHIR `Organization` resource.\n"}]},"fullUrl":{"type":"string","description":"URL for the resource.","example":"https://int.api.service.nhs.uk/healthcare-worker/Practitioner/123456789012"}}},"description":"List of matching healthcare workers, roles and organisations."},"link":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"relation":{"enum":["self"],"type":"string","description":"The nature of the link. Always `self`, meaning it's a link to the resource endpoint that was called."},"url":{"type":"string","description":"The link's URL."}}},"description":"A list of useful links."}}},"examples":{"basic":{"summary":"Basic response (without practitioner or organisation included)","value":{"resourceType":"Bundle","type":"searchset","total":2,"entry":[{"search":{"mode":"match"},"resource":{"resourceType":"PractitionerRole","id":"615218913510","identifier":[{"system":"https://fhir.nhs.uk/Id/sds-role-profile-id","value":"615218913510"}],"active":true,"practitioner":{"reference":"Practitioner/123456789012","identifier":{"system":"https://fhir.nhs.uk/Id/sds-user-id","value":"243476765512"},"display":"Ms Jane Allison Smith"},"organization":{"reference":"Organization/V05266","identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"V05266"},"display":"J M SUMMERFIELD AND ASSOCIATES"},"period":{},"code":[{"coding":[{"system":"https://fhir.nhs.uk/CodeSystem/NHSDigital-SDS-JobRoleCode","code":"S0070:G0400:R1590","display":"\"Add'l Clinical Services\":\"Phlebotomist\":\"Phlebotomist\""}]}]},"fullUrl":"https://int.api.service.nhs.uk/healthcare-worker/PractitionerRole/615218913510"},{"search":{"mode":"match"},"resource":{"resourceType":"PractitionerRole","id":"555051225101","identifier":[{"system":"https://fhir.nhs.uk/Id/sds-role-profile-id","value":"555051225101"}],"active":true,"practitioner":{"reference":"Practitioner/123456789012","identifier":{"system":"https://fhir.nhs.uk/Id/sds-user-id","value":"123456789012"},"display":"Ms Jane Allison Smith"},"organization":{"reference":"Organization/FA626","identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"FA626"},"display":"SILKSTONE PHARMACY"},"period":{"start":"2016-02-22"},"code":[{"coding":[{"system":"https://fhir.nhs.uk/CodeSystem/NHSDigital-SDS-JobRoleCode","code":"S8002:G8003:R0001","display":"\"Admin and Clerical\":\"Admin and Clerical\":\"Privacy Officer\""}]}]},"fullUrl":"https://int.api.service.nhs.uk/healthcare-worker/PractitionerRole/555051225101"}],"link":[{"relation":"self","url":"https://int.api.service.nhs.uk/healthcare-worker/PractitionerRole"}]}},"with-includes":{"summary":"Response with practitioner and organisations included","value":{"resourceType":"Bundle","type":"searchset","total":2,"entry":[{"search":{"mode":"match"},"resource":{"resourceType":"PractitionerRole","id":"615218913510","identifier":[{"system":"https://fhir.nhs.uk/Id/sds-role-profile-id","value":"615218913510"}],"active":true,"practitioner":{"reference":"Practitioner/123456789012","identifier":{"system":"https://fhir.nhs.uk/Id/sds-user-id","value":"243476765512"},"display":"Ms Jane Allison Smith"},"organization":{"reference":"Organization/V05266","identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"V05266"},"display":"J M SUMMERFIELD AND ASSOCIATES"},"period":{},"code":[{"coding":[{"system":"https://fhir.nhs.uk/CodeSystem/NHSDigital-SDS-JobRoleCode","code":"S0070:G0400:R1590","display":"\"Add'l Clinical Services\":\"Phlebotomist\":\"Phlebotomist\""}]}]},"fullUrl":"https://int.api.service.nhs.uk/healthcare-worker/PractitionerRole/615218913510"},{"search":{"mode":"match"},"resource":{"resourceType":"PractitionerRole","id":"555051225101","identifier":[{"system":"https://fhir.nhs.uk/Id/sds-role-profile-id","value":"555051225101"}],"active":true,"practitioner":{"reference":"Practitioner/123456789012","identifier":{"system":"https://fhir.nhs.uk/Id/sds-user-id","value":"123456789012"},"display":"Ms Jane Allison Smith"},"organization":{"reference":"Organization/FA626","identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"FA626"},"display":"SILKSTONE PHARMACY"},"period":{"start":"2016-02-22"},"code":[{"coding":[{"system":"https://fhir.nhs.uk/CodeSystem/NHSDigital-SDS-JobRoleCode","code":"S8002:G8003:R0001","display":"\"Admin and Clerical\":\"Admin and Clerical\":\"Privacy Officer\""}]}]},"fullUrl":"https://int.api.service.nhs.uk/healthcare-worker/PractitionerRole/555051225101"},{"search":{"mode":"include"},"resource":{"resourceType":"Practitioner","id":"243476765512","active":true,"identifier":[{"system":"https://fhir.nhs.uk/Id/sds-user-id","value":"243476765512"}],"name":[{"use":"usual","family":"Smith","given":["Jane Allison"],"prefix":["Ms"]}]},"fullUrl":"https://int.api.service.nhs.uk/healthcare-worker/Practitioner/243476765512"},{"search":{"mode":"include"},"resource":{"resourceType":"Organization","id":"FA626","identifier":[{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"FA626"}],"name":"SILKSTONE PHARMACY"},"fullUrl":"https://int.api.service.nhs.uk/healthcare-worker/Organization/FA626"},{"search":{"mode":"include"},"resource":{"resourceType":"Organization","id":"V05266","identifier":[{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"V05266"}],"name":"J M SUMMERFIELD AND ASSOCIATES"},"fullUrl":"https://int.api.service.nhs.uk/healthcare-worker/Organization/V05266"}],"link":[{"relation":"self","url":"https://int.api.service.nhs.uk/healthcare-worker/PractitionerRole"}]}}}}}},"4XX":{"description":"An error occurred as follows:\n\n| HTTP status | Error code                      | Description                                                                                                                                |\n| ----------- | ------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |\n| 400         | MISSING_VALUE                   | Required request parameter missing, for example `practitioner.identifier`.                                                                 |\n| 401         | ACCESS_DENIED                   | Access token missing, invalid or expired, or calling application not configured for this operation.                                        |\n| 404         | RESOURCE_NOT_FOUND              | No healthcare worker record found for the given CIS identifier.                                                                            |\n| 410         | INACTIVE_ACCOUNT                | The requested healthcare worker record is inactive in CIS.                                                                                 |\n| 429         | TOO_MANY_REQUESTS               | You have exceeded your application's [rate limit](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#rate-limits).  |\n\nFor more details, see [HTTP status codes](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#http-status-codes).\n","headers":{"X-Request-Id":{"name":"","in":"header","description":"The X-Request-Id from the request header, if supplied, mirrored back.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"uuid","example":"6d3d3674-7ce5-11ec-90d6-0242ac121234"}},"X-Correlation-Id":{"name":"","in":"header","description":"The X-Correlation-Id from the request header, if supplied, mirrored back.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"}}},"content":{"application/fhir+json":{"schema":{"type":"object","properties":{"resourceType":{"enum":["OperationOutcome"],"type":"string","description":"FHIR Resource Type."},"issue":{"minItems":1,"type":"array","items":{"required":["severity","code"],"type":"object","properties":{"severity":{"enum":["fatal","error","warning","information"],"type":"string","description":"Severity of the error.","example":"error"},"code":{"enum":["invalid","structure","required","value","invariant","security","login","unknown","expired","forbidden","suppressed","processing","not-supported","duplicate","multiple-matches","not-found","deleted","too-long","code-invalid","extension","too-costly","business-rule","conflict","transient","lock-error","no-store","exception","timeout","incomplete","throttled","informational"],"type":"string","description":"FHIR error code.","example":"invalid"},"details":{"type":"object","properties":{"coding":{"type":"array","items":{"type":"object","properties":{"system":{"type":"string","description":"URI of the coding system specification.","example":"https://fhir.nhs.uk/R4/CodeSystem/Spine-ErrorOrWarningCode"},"version":{"type":"string","description":"Version of the coding system in use.","example":"1"},"code":{"type":"string","description":"Symbol in syntax defined by the system.","example":"MISSING_PRACTITIONER_IDENTIFIER"},"display":{"type":"string","description":"Representation defined by the system.","example":"Missing practitioner identifier"}}}}},"description":"Internal error code."}}},"description":"List of issues that have occurred."}},"description":"Details of an error.\nThere are a number of possible error codes that can be returned along with a more detailed description in the `display` field.\n"},"example":{"resourceType":"OperationOutcome","issue":[{"severity":"error","code":"unknown","details":{"coding":[{"system":"https://fhir.nhs.uk/STU3/ValueSet/Spine-ErrorOrWarningCode-1","code":"MISSING_VALUE","display":"Missing practitioner identifier"}]}}]}}}}},"deprecated":false}}},"components":{"schemas":{"Bundle":{"type":"object","properties":{"resourceType":{"enum":["Bundle"],"type":"string","description":"FHIR resource type."},"type":{"enum":["searchset"],"type":"string","description":"Indicates how the bundle is intended to be used."},"total":{"type":"number","description":"Number of matching entries. Excludes related resources included in the bundle due to the use of the `_include` or `_revinclude` parameters."},"entry":{"type":"array","items":{"type":"object","properties":{"search":{"type":"object","properties":{"mode":{"enum":["match","include"],"type":"string","description":"Indicates why this resource is in the result set.\n`match` indicates a direct match to the query.\n`include` indicates that the entry is linked to one of the matching entries, and that the relevant link was requested in the search.\n"}},"description":"Search-related information for the resource."},"resource":{"oneOf":[{"type":"object","properties":{"resourceType":{"enum":["Practitioner"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID.","example":"123456789012"},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-user-id"],"type":"string","description":"Coding system used for the identifier."},"value":{"type":"string","description":"The identifier itself.","example":"123456789012"}}},"description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID."},"active":{"type":"boolean","description":"Indicates whether the healthcare worker's account is active in CIS.\nBecause the response only ever includes active accounts, this is always `true`.\n","example":true},"name":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"use":{"enum":["usual"],"type":"string","description":"Identifies the purpose for this name."},"family":{"type":"string","description":"That part of a person's name which is used to describe family, clan, tribal group, or marital association.","example":"Smith"},"given":{"minItems":1,"type":"array","items":{"type":"string","example":"Jane Allison"},"description":"The forenames or given names of a person. Includes middle names."},"prefix":{"maxItems":1,"type":"array","items":{"type":"string","example":"Ms"},"description":"Standard form of address used to precede a person's name."}}},"description":"Healthcare worker's name."}},"description":"A healthcare worker's personal details, expressed as a FHIR `Practitioner` resource."},{"type":"object","properties":{"resourceType":{"enum":["PractitionerRole"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"Unique identifier for the role, sometimes called the role profile ID."},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-role-profile-id"],"type":"string","description":"Coding system for the idenfier."},"value":{"type":"string","description":"The identifier itself.","example":"123456789012"}}},"description":"Unique identifier for the role, sometimes called the role profile ID."},"active":{"type":"boolean","description":"Whether the role is active in CIS.","example":true},"practitioner":{"type":"object","properties":{"reference":{"type":"string","description":"Relative URL for the Practitioner FHIR resource for the healthcare worker."},"identifier":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-user-id"],"type":"string","description":"Coding system for the identifier."},"value":{"type":"string","description":"The identifier itself."}},"description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID."},"display":{"type":"string","description":"Healthcare worker's full name, including prefix, given name and family name."}},"description":"Summary of the healthcare worker to whom the roles relate."},"organization":{"type":"object","properties":{"reference":{"type":"string","description":"Relative URL for the Organization FHIR resource for the organisation."},"identifier":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/ods-organization-code"],"type":"string","description":"Coding system for the ODS code."},"value":{"type":"string","description":"The ODS code itself."}},"description":"ODS code for the organisation."},"display":{"type":"string","description":"Organisation name."}},"description":"Summary of an organisation to which one or more of the roles relate."},"period":{"type":"object","properties":{"start":{"type":"string","description":"Start date for the period."},"end":{"type":"string","description":"End date for the period."}},"description":"Time period during which the role applies, or applied."},"code":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"resourceType":{"enum":["CodeableConcept"],"type":"string","description":"FHIR resource type."},"coding":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"resourceType":{"enum":["Coding"],"type":"string","description":"FHIR resource type."},"system":{"enum":["https://fhir.nhs.uk/CodeSystem/NHSDigital-SDS-JobRoleCode"],"type":"string","description":"Code system used for the role code."},"code":{"type":"string","description":"The role code itself. Consists of three parts, separated by colons, in the format `Snnnn:Gnnnn:Rnnnn`,\nforming a hierarchy. The useful part is the 'R' code, which maps to activity codes as explained in\n[National RBAC for developers](https://digital.nhs.uk/services/care-identity-service/applications-and-services/cis2-authentication/integrate/design-and-build/national-rbac-for-developers).\n"},"display":{"type":"string","description":"Role code description. Consists of three parts, separated by colons, corresponding to the three parts of the role code.\nThe useful part is the third part, corresponding to the 'R' code.\n"}}},"description":"The actual coding, expressed as a FHIR `Coding` resource."}},"description":"Code for the role, expressed as a FHIR `CodeableConcept` resource."},"description":"Code for the role."}},"description":"A healthcare worker role (sometimes called a 'role profile'), expressed as a FHIR `PractitionerRole` resource.\nA healthcare worker can have multiple roles, and each role is associated with a specific organisation.\nIf the worker performs the same role in multiple organisations, there is a separate role profile for each organisation.\n"},{"type":"object","properties":{"resourceType":{"enum":["Organization"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"ODS code for the organisation.","example":"V05266"},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/ods-organization-code"],"type":"string","description":"Coding system for the ODS code."},"value":{"type":"string","description":"The ODS code itself.","example":"V05266"}}},"description":"ODS code for the organisation."},"name":{"type":"string","description":"Organisation name.","example":"SILKSTONE PHARMACY"}},"description":"An organisation associated with one of the roles in the result set, expressed as a FHIR `Organization` resource.\n"}]},"fullUrl":{"type":"string","description":"URL for the resource.","example":"https://int.api.service.nhs.uk/healthcare-worker/Practitioner/123456789012"}}},"description":"List of matching healthcare workers, roles and organisations."},"link":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"relation":{"enum":["self"],"type":"string","description":"The nature of the link. Always `self`, meaning it's a link to the resource endpoint that was called."},"url":{"type":"string","description":"The link's URL."}}},"description":"A list of useful links."}}},"SearchEntry":{"type":"object","properties":{"search":{"type":"object","properties":{"mode":{"enum":["match","include"],"type":"string","description":"Indicates why this resource is in the result set.\n`match` indicates a direct match to the query.\n`include` indicates that the entry is linked to one of the matching entries, and that the relevant link was requested in the search.\n"}},"description":"Search-related information for the resource."},"resource":{"oneOf":[{"type":"object","properties":{"resourceType":{"enum":["Practitioner"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID.","example":"123456789012"},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-user-id"],"type":"string","description":"Coding system used for the identifier."},"value":{"type":"string","description":"The identifier itself.","example":"123456789012"}}},"description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID."},"active":{"type":"boolean","description":"Indicates whether the healthcare worker's account is active in CIS.\nBecause the response only ever includes active accounts, this is always `true`.\n","example":true},"name":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"use":{"enum":["usual"],"type":"string","description":"Identifies the purpose for this name."},"family":{"type":"string","description":"That part of a person's name which is used to describe family, clan, tribal group, or marital association.","example":"Smith"},"given":{"minItems":1,"type":"array","items":{"type":"string","example":"Jane Allison"},"description":"The forenames or given names of a person. Includes middle names."},"prefix":{"maxItems":1,"type":"array","items":{"type":"string","example":"Ms"},"description":"Standard form of address used to precede a person's name."}}},"description":"Healthcare worker's name."}},"description":"A healthcare worker's personal details, expressed as a FHIR `Practitioner` resource."},{"type":"object","properties":{"resourceType":{"enum":["PractitionerRole"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"Unique identifier for the role, sometimes called the role profile ID."},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-role-profile-id"],"type":"string","description":"Coding system for the idenfier."},"value":{"type":"string","description":"The identifier itself.","example":"123456789012"}}},"description":"Unique identifier for the role, sometimes called the role profile ID."},"active":{"type":"boolean","description":"Whether the role is active in CIS.","example":true},"practitioner":{"type":"object","properties":{"reference":{"type":"string","description":"Relative URL for the Practitioner FHIR resource for the healthcare worker."},"identifier":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-user-id"],"type":"string","description":"Coding system for the identifier."},"value":{"type":"string","description":"The identifier itself."}},"description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID."},"display":{"type":"string","description":"Healthcare worker's full name, including prefix, given name and family name."}},"description":"Summary of the healthcare worker to whom the roles relate."},"organization":{"type":"object","properties":{"reference":{"type":"string","description":"Relative URL for the Organization FHIR resource for the organisation."},"identifier":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/ods-organization-code"],"type":"string","description":"Coding system for the ODS code."},"value":{"type":"string","description":"The ODS code itself."}},"description":"ODS code for the organisation."},"display":{"type":"string","description":"Organisation name."}},"description":"Summary of an organisation to which one or more of the roles relate."},"period":{"type":"object","properties":{"start":{"type":"string","description":"Start date for the period."},"end":{"type":"string","description":"End date for the period."}},"description":"Time period during which the role applies, or applied."},"code":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"resourceType":{"enum":["CodeableConcept"],"type":"string","description":"FHIR resource type."},"coding":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"resourceType":{"enum":["Coding"],"type":"string","description":"FHIR resource type."},"system":{"enum":["https://fhir.nhs.uk/CodeSystem/NHSDigital-SDS-JobRoleCode"],"type":"string","description":"Code system used for the role code."},"code":{"type":"string","description":"The role code itself. Consists of three parts, separated by colons, in the format `Snnnn:Gnnnn:Rnnnn`,\nforming a hierarchy. The useful part is the 'R' code, which maps to activity codes as explained in\n[National RBAC for developers](https://digital.nhs.uk/services/care-identity-service/applications-and-services/cis2-authentication/integrate/design-and-build/national-rbac-for-developers).\n"},"display":{"type":"string","description":"Role code description. Consists of three parts, separated by colons, corresponding to the three parts of the role code.\nThe useful part is the third part, corresponding to the 'R' code.\n"}}},"description":"The actual coding, expressed as a FHIR `Coding` resource."}},"description":"Code for the role, expressed as a FHIR `CodeableConcept` resource."},"description":"Code for the role."}},"description":"A healthcare worker role (sometimes called a 'role profile'), expressed as a FHIR `PractitionerRole` resource.\nA healthcare worker can have multiple roles, and each role is associated with a specific organisation.\nIf the worker performs the same role in multiple organisations, there is a separate role profile for each organisation.\n"},{"type":"object","properties":{"resourceType":{"enum":["Organization"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"ODS code for the organisation.","example":"V05266"},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/ods-organization-code"],"type":"string","description":"Coding system for the ODS code."},"value":{"type":"string","description":"The ODS code itself.","example":"V05266"}}},"description":"ODS code for the organisation."},"name":{"type":"string","description":"Organisation name.","example":"SILKSTONE PHARMACY"}},"description":"An organisation associated with one of the roles in the result set, expressed as a FHIR `Organization` resource.\n"}]},"fullUrl":{"type":"string","description":"URL for the resource.","example":"https://int.api.service.nhs.uk/healthcare-worker/Practitioner/123456789012"}}},"SearchDetails":{"type":"object","properties":{"mode":{"enum":["match","include"],"type":"string","description":"Indicates why this resource is in the result set.\n`match` indicates a direct match to the query.\n`include` indicates that the entry is linked to one of the matching entries, and that the relevant link was requested in the search.\n"}},"description":"Search-related information for the resource."},"Practitioner":{"type":"object","properties":{"resourceType":{"enum":["Practitioner"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID.","example":"123456789012"},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-user-id"],"type":"string","description":"Coding system used for the identifier."},"value":{"type":"string","description":"The identifier itself.","example":"123456789012"}}},"description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID."},"active":{"type":"boolean","description":"Indicates whether the healthcare worker's account is active in CIS.\nBecause the response only ever includes active accounts, this is always `true`.\n","example":true},"name":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"use":{"enum":["usual"],"type":"string","description":"Identifies the purpose for this name."},"family":{"type":"string","description":"That part of a person's name which is used to describe family, clan, tribal group, or marital association.","example":"Smith"},"given":{"minItems":1,"type":"array","items":{"type":"string","example":"Jane Allison"},"description":"The forenames or given names of a person. Includes middle names."},"prefix":{"maxItems":1,"type":"array","items":{"type":"string","example":"Ms"},"description":"Standard form of address used to precede a person's name."}}},"description":"Healthcare worker's name."}},"description":"A healthcare worker's personal details, expressed as a FHIR `Practitioner` resource."},"PractitionerRole":{"type":"object","properties":{"resourceType":{"enum":["PractitionerRole"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"Unique identifier for the role, sometimes called the role profile ID."},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-role-profile-id"],"type":"string","description":"Coding system for the idenfier."},"value":{"type":"string","description":"The identifier itself.","example":"123456789012"}}},"description":"Unique identifier for the role, sometimes called the role profile ID."},"active":{"type":"boolean","description":"Whether the role is active in CIS.","example":true},"practitioner":{"type":"object","properties":{"reference":{"type":"string","description":"Relative URL for the Practitioner FHIR resource for the healthcare worker."},"identifier":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-user-id"],"type":"string","description":"Coding system for the identifier."},"value":{"type":"string","description":"The identifier itself."}},"description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID."},"display":{"type":"string","description":"Healthcare worker's full name, including prefix, given name and family name."}},"description":"Summary of the healthcare worker to whom the roles relate."},"organization":{"type":"object","properties":{"reference":{"type":"string","description":"Relative URL for the Organization FHIR resource for the organisation."},"identifier":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/ods-organization-code"],"type":"string","description":"Coding system for the ODS code."},"value":{"type":"string","description":"The ODS code itself."}},"description":"ODS code for the organisation."},"display":{"type":"string","description":"Organisation name."}},"description":"Summary of an organisation to which one or more of the roles relate."},"period":{"type":"object","properties":{"start":{"type":"string","description":"Start date for the period."},"end":{"type":"string","description":"End date for the period."}},"description":"Time period during which the role applies, or applied."},"code":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"resourceType":{"enum":["CodeableConcept"],"type":"string","description":"FHIR resource type."},"coding":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"resourceType":{"enum":["Coding"],"type":"string","description":"FHIR resource type."},"system":{"enum":["https://fhir.nhs.uk/CodeSystem/NHSDigital-SDS-JobRoleCode"],"type":"string","description":"Code system used for the role code."},"code":{"type":"string","description":"The role code itself. Consists of three parts, separated by colons, in the format `Snnnn:Gnnnn:Rnnnn`,\nforming a hierarchy. The useful part is the 'R' code, which maps to activity codes as explained in\n[National RBAC for developers](https://digital.nhs.uk/services/care-identity-service/applications-and-services/cis2-authentication/integrate/design-and-build/national-rbac-for-developers).\n"},"display":{"type":"string","description":"Role code description. Consists of three parts, separated by colons, corresponding to the three parts of the role code.\nThe useful part is the third part, corresponding to the 'R' code.\n"}}},"description":"The actual coding, expressed as a FHIR `Coding` resource."}},"description":"Code for the role, expressed as a FHIR `CodeableConcept` resource."},"description":"Code for the role."}},"description":"A healthcare worker role (sometimes called a 'role profile'), expressed as a FHIR `PractitionerRole` resource.\nA healthcare worker can have multiple roles, and each role is associated with a specific organisation.\nIf the worker performs the same role in multiple organisations, there is a separate role profile for each organisation.\n"},"Organization":{"type":"object","properties":{"resourceType":{"enum":["Organization"],"type":"string","description":"FHIR resource type."},"id":{"type":"string","description":"ODS code for the organisation.","example":"V05266"},"identifier":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/ods-organization-code"],"type":"string","description":"Coding system for the ODS code."},"value":{"type":"string","description":"The ODS code itself.","example":"V05266"}}},"description":"ODS code for the organisation."},"name":{"type":"string","description":"Organisation name.","example":"SILKSTONE PHARMACY"}},"description":"An organisation associated with one of the roles in the result set, expressed as a FHIR `Organization` resource.\n"},"PractitionerReference":{"type":"object","properties":{"reference":{"type":"string","description":"Relative URL for the Practitioner FHIR resource for the healthcare worker."},"identifier":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/sds-user-id"],"type":"string","description":"Coding system for the identifier."},"value":{"type":"string","description":"The identifier itself."}},"description":"CIS identifier for the healthcare worker. Also known as their UUID or smartcard ID."},"display":{"type":"string","description":"Healthcare worker's full name, including prefix, given name and family name."}},"description":"Summary of the healthcare worker to whom the roles relate."},"OrganizationReference":{"type":"object","properties":{"reference":{"type":"string","description":"Relative URL for the Organization FHIR resource for the organisation."},"identifier":{"type":"object","properties":{"system":{"enum":["https://fhir.nhs.uk/Id/ods-organization-code"],"type":"string","description":"Coding system for the ODS code."},"value":{"type":"string","description":"The ODS code itself."}},"description":"ODS code for the organisation."},"display":{"type":"string","description":"Organisation name."}},"description":"Summary of an organisation to which one or more of the roles relate."},"RoleCode":{"type":"object","properties":{"resourceType":{"enum":["CodeableConcept"],"type":"string","description":"FHIR resource type."},"coding":{"maxItems":1,"minItems":1,"type":"array","items":{"type":"object","properties":{"resourceType":{"enum":["Coding"],"type":"string","description":"FHIR resource type."},"system":{"enum":["https://fhir.nhs.uk/CodeSystem/NHSDigital-SDS-JobRoleCode"],"type":"string","description":"Code system used for the role code."},"code":{"type":"string","description":"The role code itself. Consists of three parts, separated by colons, in the format `Snnnn:Gnnnn:Rnnnn`,\nforming a hierarchy. The useful part is the 'R' code, which maps to activity codes as explained in\n[National RBAC for developers](https://digital.nhs.uk/services/care-identity-service/applications-and-services/cis2-authentication/integrate/design-and-build/national-rbac-for-developers).\n"},"display":{"type":"string","description":"Role code description. Consists of three parts, separated by colons, corresponding to the three parts of the role code.\nThe useful part is the third part, corresponding to the 'R' code.\n"}}},"description":"The actual coding, expressed as a FHIR `Coding` resource."}},"description":"Code for the role, expressed as a FHIR `CodeableConcept` resource."},"OperationOutcome":{"type":"object","properties":{"resourceType":{"enum":["OperationOutcome"],"type":"string","description":"FHIR Resource Type."},"issue":{"minItems":1,"type":"array","items":{"required":["severity","code"],"type":"object","properties":{"severity":{"enum":["fatal","error","warning","information"],"type":"string","description":"Severity of the error.","example":"error"},"code":{"enum":["invalid","structure","required","value","invariant","security","login","unknown","expired","forbidden","suppressed","processing","not-supported","duplicate","multiple-matches","not-found","deleted","too-long","code-invalid","extension","too-costly","business-rule","conflict","transient","lock-error","no-store","exception","timeout","incomplete","throttled","informational"],"type":"string","description":"FHIR error code.","example":"invalid"},"details":{"type":"object","properties":{"coding":{"type":"array","items":{"type":"object","properties":{"system":{"type":"string","description":"URI of the coding system specification.","example":"https://fhir.nhs.uk/R4/CodeSystem/Spine-ErrorOrWarningCode"},"version":{"type":"string","description":"Version of the coding system in use.","example":"1"},"code":{"type":"string","description":"Symbol in syntax defined by the system.","example":"MISSING_PRACTITIONER_IDENTIFIER"},"display":{"type":"string","description":"Representation defined by the system.","example":"Missing practitioner identifier"}}}}},"description":"Internal error code."}}},"description":"List of issues that have occurred."}},"description":"Details of an error.\nThere are a number of possible error codes that can be returned along with a more detailed description in the `display` field.\n"}},"parameters":{"BearerAuthorization":{"name":"Authorization","in":"header","description":"The calling system's access token, which must be an OAuth 2.0 bearer token.\nFor details, see [Application-restricted RESTful APIs - signed JWT authentication](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation/application-restricted-restful-apis-signed-jwt-authentication).\n\nRequired in all environments except sandbox.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"^Bearer\\ [[:ascii:]]+$","example":"Bearer g1112R_ccQ1Ebbb4gtHBP1aaaNM"}},"RequestId":{"name":"X-Request-Id","in":"header","description":"Unique identifier for the request, used for tracking and logging purposes.\n\nMust be a universally unique identifier (UUID) (ideally version 4).\n","required":true,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"uuid"},"example":"6d3d3674-7ce5-11ec-90d6-0242ac121234"},"CorrelationId":{"name":"X-Correlation-Id","in":"header","description":"An optional ID which you can use to track transactions across multiple systems. It can take any value, but we recommend avoiding `.` characters.\n\nMirrored back in a response header.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string"},"example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"}},"headers":{"XRequestId":{"name":"","in":"header","description":"The X-Request-Id from the request header, if supplied, mirrored back.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"uuid","example":"6d3d3674-7ce5-11ec-90d6-0242ac121234"}},"XCorrelationId":{"name":"","in":"header","description":"The X-Correlation-Id from the request header, if supplied, mirrored back.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"}}},"securitySchemes":{"app-level3":{"$ref":"https://proxygen.prod.api.platform.nhs.uk/components/securitySchemes/app-level3"}}},"security":[{"app-level3":[]}]}